> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Models

> List provider-neutral models available through this gateway.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}/models
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}/models:
    get:
      tags:
        - aiGateways
      summary: Models
      description: List provider-neutral models available through this gateway.
      operationId: aiGateways.models
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: gatewayId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Available models.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                  enum:
                    - korve/fast
                    - korve/balanced
                    - korve/reasoning
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````